| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Attributes | List of all members
uhd_stream_cmd_t Struct Reference

Define how device streams to host. More...

`#include <uhd/usrp/usrp.h>`

## Public Attributes
uhd_stream_mode_t | stream_mode
| How streaming is issued to the device.
size_t | num_samps
| Number of samples.
bool | stream_now
| Stream now?
int64_t | time_spec_full_secs
| If not now, then full seconds into future to stream.
double | time_spec_frac_secs
| If not now, then fractional seconds into future to stream.

## Detailed Description

Define how device streams to host.

See uhd::stream_cmd_t for more details.

## Member Data Documentation

## ◆ num_samps

size_t uhd_stream_cmd_t::num_samps

Number of samples.

## ◆ stream_mode

uhd_stream_mode_t uhd_stream_cmd_t::stream_mode

How streaming is issued to the device.

## ◆ stream_now

bool uhd_stream_cmd_t::stream_now

Stream now?

## ◆ time_spec_frac_secs

double uhd_stream_cmd_t::time_spec_frac_secs

If not now, then fractional seconds into future to stream.

## ◆ time_spec_full_secs

int64_t uhd_stream_cmd_t::time_spec_full_secs

If not now, then full seconds into future to stream.

The documentation for this struct was generated from the following file:

- usrp.h